//
// Created by spenc on 5/14/2025.
//

#include "Editor.h"
#include "Core.h"

int main()
{
    using namespace OX;

    // Note: You must add the layers to the Core BEFORE initializing the core.
    Core core;


    core.AddLayer(std::make_unique<Editor>(OX_EDITOR_VERSION));

    //core.AddLayer(std::make_unique<OX::DummyLayer>());

    core.Init();
    core.Run();
    core.Shutdown();
}
